/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: IEnvEntry.java 3789 2008-07-30 17:05:39Z gaellalire $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.api.struct;

/**
 * An env-entry.
 * @author Gael Lalire
 */
public interface IEnvEntry {

    /**
     * @return name of env entry (relative to java:comp/env)
     */
    String getName();

    /**
     * @return the class of value (may be null)
     */
    String getType();

    /**
     * @return the value
     */
    String getValue();

}
